local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Flipping101(container)




local frame = AceGUI:Create("Frame")
frame:SetTitle("Flipping 101")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125How Does Flipping Work?")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The Theory of Flipping is quite simple. You either take something and transform it into something else or Buy an item for less and resell for a higher mark up than what you paid for. There are multiple ways of making gold Through Flipping an we will be touching on the ones that require little setup ( Excluding Alchemy as that is a essay in of itself)")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Disenchanting:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Let us start with my go too when I want to make profit with as much little effort as possible with a high return. This is Disenchanting, this is where we take craft items for cheap, Disenchant them for the Enchanting materials and resell those Enchanting materials for a profit. In every Current Expansion you are able to craft for a profit, if you know what to look for. You will need an item to this and my go to profession is Tailoring but this can also work with Leatherworking also. What you will need to do is find an item that takes the lowest amount of materials, which is commonly “Bracers” and craft to disenchant them. However it is worth testing the bracer's with 10 crafted and checking your returns to see if you should proceed or failing this you can always use the Flipping Module from WorthIt to Gain a benchmark before you start to see if it is profitable for yourself.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Note: For Fast sales then Current Bracer Disenchants should be top priority.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Milling:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As for Milling, this can be a tricky one for most Scribes. This is because a lot of older Inks sell for a lot of gold but the Sell Rate on them is quite low. Bare this in mind as the Sell Rates on Inks are mixed and looking at them individually is your best bet for faster returns and making an informed decision. For this process you will be wanting to purchase cheap herbs off of the Auction house. This is where I go by the 60% Rule on days before a Weekly Reset as the Herb prices tend to drop in price right before a reset. This would be key if you are going for the Higher selling Inks such as Current Content Inks. As for older inks you can always buy cheap herbs and Mill those a good a steady on for gold is Mass Milling Dreamleaf which tend to sell quite fast in regards to Milling. However, you can always Use the Ink Trader to Trade Current Content Inks in for higher Gold value Inks and as such gain a higher return off of the auction house. Your Main focus is just getting those Herbs cheap, that should be your first priority when jumping into this and then Milling as the Herb Price will determine weather or not you will gain a lot more gold for you time invested and then it is the inks you sell that matter.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Prospecting:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Prospecting, this is one of the best for when a new Patch comes or Expansion. Though in general you will be wanting to gain the advantage by copying the 60% rule. The most profitable tends to be Current gems as they are always in high demand. This is where you should start for Flipping and then progress into old expansion gems. Much like the 80 / 20 rule Current Content gems will give you the most amount of return for the least amount of work, hence why I would suggest you start there. This can also be Quite profitable in older expansion gems but generally speaking, this will take a lot longer to sell on for a profit and will require and level of patience when selling and Prospecting older Ore into Gems. However, if you are able you may also cut gems into the respective Gem Sockets which can also increase the value but this can be risky as they will have more competition and the value can fluctuate quite a lot so be wary of this if you do decide on Cutting Gems after Prospecting.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Boe's:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Lastly we have Flipping BOE Items, this can be either buying a cheap “Glorious Legplates” or Purchasing a few Undervalued BOE's from the current expansions. These can both net you in some great returns but will require a high amount of gold invested than the other three methods I have already gone over. What you will be wanting to do is search for BOE's 60 – 80% undervalue and purchasing them for resale. However, there are multiple factors to take into account. Sell Rate is one of them, we will want to know how long it will take to sell on these for a profit. Current Content Boe's are typically good in regards to Sell Rate but do have there owns risks. This is how common this item is. A good rule of thumb is seeing how many there are of this item on the auction house first. This is because if there is a high supply then the price has a higher chance to drop and you can run the risk of losing gold. What you are looking for is scares items which ar undervalued and then with a good sell rate gain that return in a relatively fast manor. This only applies to Current Content Boe's. With Flipping Older Content Boe's, you'll be looking for scares items such as items that have a low drop chance in the open world. A good example is the “Pendulum of Doom” this has a low, low, low drops chance in Uldaman which means the Supply is low which is what we are looking for. The next is if it is undervalued, we will want to know if we can sell it on for more gold than what we are about to purchase it for and lastly checking to see how long it will take to sell on for. With old world items such as this, these will sell relatively slowly but due to the low supply keeping the price steady this should be easier to stay at the price we set for the item we are selling on for.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)






end